Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.nurserostering.solver.drools
Class EmployeeWeekendSequence

    java.lang.Object
      org.optaplanner.examples.nurserostering.solver.drools.EmployeeWeekendSequence

All Implemented Interfaces:
  Serializable, Comparable<EmployeeWeekendSequence>

    public class EmployeeWeekendSequence

extends Object
implements Comparable<EmployeeWeekendSequence>, Serializable

See Also:
  Serialized Form

Constructor Summary
`EmployeeWeekendSequence(Employee employee, int firstSundayIndex, int lastSundayIndex)`

Method Summary
`int` | `compareTo(EmployeeWeekendSequence other)`
`boolean` | `equals(Object o)`
`Employee` | `getEmployee()`
`int` | `getFirstSundayIndex()`
`int` | `getLastSundayIndex()`
`int` | `getWeekendLength()`
`int` | `hashCode()`
`void` | `setEmployee(Employee employee)`
`void` | `setFirstSundayIndex(int firstSundayIndex)`
`void` | `setLastSundayIndex(int lastSundayIndex)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmployeeWeekendSequence

    public EmployeeWeekendSequence(Employee employee,
                                   int firstSundayIndex,
                                   int lastSundayIndex)

Method Detail

### getEmployee

    public Employee getEmployee()

### setEmployee

    public void setEmployee(Employee employee)

### getFirstSundayIndex

    public int getFirstSundayIndex()

### setFirstSundayIndex

    public void setFirstSundayIndex(int firstSundayIndex)

### getLastSundayIndex

    public int getLastSundayIndex()

### setLastSundayIndex

    public void setLastSundayIndex(int lastSundayIndex)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(EmployeeWeekendSequence other)

  Specified by:
    `compareTo` in interface `Comparable<EmployeeWeekendSequence>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getWeekendLength

    public int getWeekendLength()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.